## com.baidubce.services.bos.model
Class GenericUploadRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.bos.model.GenericBucketRequest
              com.baidubce.services.bos.model.GenericObjectRequest
                  com.baidubce.services.bos.model.GenericUploadRequest

Direct Known Subclasses:
  AbortMultipartUploadRequest, CompleteMultipartUploadRequest, ListPartsRequest, UploadPartRequest

    public abstract class GenericUploadRequest

extends GenericObjectRequest

Constructor Summary
`GenericUploadRequest()`
`GenericUploadRequest(String bucketName, String key, String uploadId)`

Method Summary
`String` `getUploadId()` Returns the ID of the existing, initiated multipart upload with which this new part will be associated.
`void` `setUploadId(String uploadId)` Sets the ID of the existing, initiated multipart upload with which this new part will be associated.
`abstract GenericUploadRequest` `withUploadId(String uploadId)`

Methods inherited from class com.baidubce.services.bos.model.GenericObjectRequest
`getKey, setKey, withKey`

Methods inherited from class com.baidubce.services.bos.model.GenericBucketRequest
`getBucketName, setBucketName, withBucketName`

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials, withRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericUploadRequest

    public GenericUploadRequest()

### GenericUploadRequest

    public GenericUploadRequest(String bucketName,
                                String key,
                                String uploadId)

Method Detail

### getUploadId

    public String getUploadId()

  Returns the ID of the existing, initiated multipart upload with which this new part will be associated.

  Returns:
    the ID of the existing, initiated multipart upload with which this new part will be associated.

### setUploadId

    public void setUploadId(String uploadId)

  Sets the ID of the existing, initiated multipart upload with which this new part will be associated.

  Parameters:
    `uploadId` - the ID of the existing, initiated multipart upload with which this new part will be associated.

### withUploadId

    public abstract GenericUploadRequest withUploadId(String uploadId)

Copyright © 2016. All rights reserved.